cURL
curl --request POST \
--url https://api.brightdata.com/zone/change_disable \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"zone": "<string>"
}
'import requests
url = "https://api.brightdata.com/zone/change_disable"
payload = { "zone": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({zone: '<string>'})
};
fetch('https://api.brightdata.com/zone/change_disable', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"plan": {
"start": "2019-07-15T18:08:59.269Z",
"type": "static",
"ips_type": "shared",
"ip_alloc_preset": "shared_block",
"bandwidth": "payperusage",
"disabled": 1
}
}Account Management API
Turn on/off zone
Use the Bright Data Account Management API to turn on/off Zone. POST /zone/change_disable returns 200 OK with zone or account configuration data as JSON.
POST
/
zone
/
change_disable
cURL
Only users with Admin or Ops roles can perform this action.
Warning: This API can modify your account settings, damage your operations or incur charges.
Paste your API key to the authorization field. To get an API key, Create an account and learn how to generate an API key
Authorizations
Use your Bright Data API Key as a Bearer token in the Authorization header.
How to authenticate:
- Obtain your API Key from the Bright Data account settings at https://brightdata.com/cp/setting/users
- Include the API Key in the Authorization header of your requests
- Format:
Authorization: Bearer YOUR_API_KEY
Example:
Authorization: Bearer b5648e1096c6442f60a6c4bbbe73f8d2234d3d8324554bd6a7ec8f3f251f07df
Learn how to get your Bright Data API key: https://docs.brightdata.com/api-reference/authentication
Body
application/json
Response
200 - application/json
OK
The response is of type object.
Was this page helpful?
⌘I